import React from 'react';
import { LGGuideCue } from '@mongodb-js/compass-components';
type LGGuideCueProps = React.ComponentProps<typeof LGGuideCue>;
export type AIGuideCueProps = Omit<LGGuideCueProps, 'currentStep' | 'numberOfSteps' | 'children' | 'title' | 'open' | 'setOpen'> & {
    title?: string;
    description?: string;
    showGuideCue: boolean;
    onCloseGuideCue(): void;
};
export declare const AIGuideCue: ({ title, description, refEl, showGuideCue, onCloseGuideCue, }: AIGuideCueProps) => JSX.Element;
export {};
//# sourceMappingURL=ai-guide-cue.d.ts.map